## r-cran-ff 4.0.5%2Bds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ff
-Version: 4.0.4
-Date: 2020-10-13
+Version: 4.0.5
+Date: 2021-10-29
 Title: Memory-Efficient Storage of Large Data on Disk and Fast Access
         Functions
 Author: Daniel Adler [aut],
@@ -64,6 +64,6 @@
 Encoding: UTF-8
 URL: https://github.com/truecluster/ff
 NeedsCompilation: yes
-Packaged: 2020-10-13 17:12:18 UTC; jo
+Packaged: 2021-10-29 09:22:08 UTC; jo
 Repository: CRAN
-Date/Publication: 2020-10-13 18:20:10 UTC
+Date/Publication: 2021-10-29 14:10:05 UTC
