## r-cran-ff 4.0.5+ds

=== debian/changelog ===
r-cran-ff (4.0.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.0.5+ds

 -- Nilesh Patra <nilesh@debian.org>  Mon, 01 Nov 2021 21:09:39 +0530

r-cran-ff (4.0.4+ds-2) unstable; urgency=medium

  * Team upload
  * Allow building on all architectures
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 24 Oct 2021 10:22:13 +0000
