## r-cran-ff 4.0.9+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ff
-Version: 4.0.5
-Date: 2021-10-29
+Version: 4.0.9
+Date: 2023-01-25
 Title: Memory-Efficient Storage of Large Data on Disk and Fast Access
         Functions
 Author: Daniel Adler [aut],
@@ -64,6 +64,6 @@
 Encoding: UTF-8
 URL: https://github.com/truecluster/ff
 NeedsCompilation: yes
-Packaged: 2021-10-29 09:22:08 UTC; jo
+Packaged: 2023-01-25 18:55:50 UTC; jo
 Repository: CRAN
-Date/Publication: 2021-10-29 14:10:05 UTC
+Date/Publication: 2023-01-25 19:30:02 UTC
