## r-cran-ff 4.0.12+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ff
-Version: 4.0.9
-Date: 2023-01-25
+Version: 4.0.12
+Date: 2024-01-10
 Title: Memory-Efficient Storage of Large Data on Disk and Fast Access
         Functions
 Author: Daniel Adler [aut],
@@ -64,6 +64,6 @@
 Encoding: UTF-8
 URL: https://github.com/truecluster/ff
 NeedsCompilation: yes
-Packaged: 2023-01-25 18:55:50 UTC; jo
+Packaged: 2024-01-10 19:06:47 UTC; jo
 Repository: CRAN
-Date/Publication: 2023-01-25 19:30:02 UTC
+Date/Publication: 2024-01-12 15:10:03 UTC
