=== debian/changelog ===
r-cran-ff (4.0.12+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2024 14:46:10 +0100
