=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-bit (>= 4.0.0)
+               r-cran-bit
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ff
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ff.git
