=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,compression=xz,dversionmangle=auto" https://cloud.r-project.org/src/contrib/ff_([-\d.]*)\.tar\.gz
