## r-cran-ff 4.5.2+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,17 +1,36 @@
 Package: ff
-Version: 4.0.12
-Date: 2024-01-10
+Version: 4.5.2
+Date: 2025-01-12
 Title: Memory-Efficient Storage of Large Data on Disk and Fast Access
         Functions
+Authors@R: c(person(given = "Daniel",
+                      family = "Adler",
+                      role = "aut"),
+               person(given = "Christian",
+                      family = "Gläser",
+                      role = "ctb"),
+               person(given = "Oleg",
+                      family = "Nenadic",
+                      role = "ctb"),
+               person(given = "Jens",
+                      family = "Oehlschlägel",
+                      role = c("aut", "cre"),
+                      email = "Jens.Oehlschlaegel@truecluster.com"),
+               person(given = "Martijn",
+                      family = "Schuemie",
+                      role = "ctb"),
+               person(given = "Walter",
+                      family = "Zucchini",
+                      role = "ctb"))
 Author: Daniel Adler [aut],
-	Christian Gläser [aut],
-	Oleg Nenadic  [aut], 
-	Jens Oehlschlägel [aut, cre],
-	Martijn Schuemie [aut],
-	Walter Zucchini  [aut]
+  Christian Gläser [ctb],
+  Oleg Nenadic [ctb],
+  Jens Oehlschlägel [aut, cre],
+  Martijn Schuemie [ctb],
+  Walter Zucchini [ctb]
 Maintainer: Jens Oehlschlägel <Jens.Oehlschlaegel@truecluster.com>
-Depends: R (>= 2.10.1), bit (>= 4.0.0), utils
-Suggests: biglm, testthat (>= 0.11.0)
+Depends: R (>= 3.4.0), bit (>= 4.0.0), utils
+Suggests: biglm, testthat (>= 0.11.0), markdown
 Description: The ff package provides data structures that are stored on
 	disk but behave (almost) as if they were in RAM by transparently 
 	mapping only a section (pagesize) in main memory - the effective 
@@ -61,9 +80,9 @@
 License: GPL-2 | GPL-3 | file LICENSE
 LazyLoad: yes
 ByteCompile: yes
+NeedsCompilation: yes
 Encoding: UTF-8
 URL: https://github.com/truecluster/ff
-NeedsCompilation: yes
-Packaged: 2024-01-10 19:06:47 UTC; jo
+Packaged: 2025-01-12 22:08:49 UTC; jo
 Repository: CRAN
-Date/Publication: 2024-01-12 15:10:03 UTC
+Date/Publication: 2025-01-13 00:40:02 UTC
