=== debian/changelog ===
r-cran-ff (4.5.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 16 Jan 2025 08:35:30 +0900
