=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 0.11.0),
        r-cran-markdown
Restrictions: allow-stderr
